Package com.arms.api.jira.jiraserver.service

## Interface JiraServer

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `JiraServerImpl`

      public interface JiraServer
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JiraServerEntity` | `addJiraServer​(JiraServerEntity jiraServerEntity)` |
    `void` | `cacheStatusMappingData​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraIssueTypeEntity>` | `getIssueTypeOnlyList​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraProjectPureEntity>` | `getProjectPureList​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraIssuePriorityEntity>` | `getServerIssuePriorityOnlyList​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraIssueResolutionEntity>` | `getServerIssueResolutionList​(JiraServerEntity jiraServerEntity)` |
    `java.util.List<JiraIssueStatusEntity>` | `getServerIssueStatusOnlyList​(JiraServerEntity jiraServerEntity)` |
    `java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​StatusRuleSetEntity>>` | `getStatusRuleSet​(JiraServerEntity jiraServer)` |
    `void` | `preSetIssueStatusMapping​(java.lang.String 프로젝트_C아이디, JiraServerEntity jiraServer)` |
    `java.util.concurrent.CompletableFuture<java.lang.Boolean>` | `refreshALMServer​(JiraServerEntity jiraServerEntity)` |
    `JiraServerEntity` | `setDefaultValueForTarget​(EntityType 설정할_항목, java.lang.Long 항목_c_id, JiraServerEntity jiraServerEntity)` |
    `int` | `updateArmsAndEngineServerData​(JiraServerEntity jiraServerEntity)` |
    `JiraServerEntity` | `서버_엔티티_항목별_갱신​(EntityType 갱신할_항목, java.lang.String 프로젝트_C아이디, JiraServerEntity jiraServerEntity)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### addJiraServer

          JiraServerEntity addJiraServer​(JiraServerEntity jiraServerEntity)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### 서버_엔티티_항목별_갱신

          JiraServerEntity 서버_엔티티_항목별_갱신​(EntityType 갱신할_항목,
                                         java.lang.String 프로젝트_C아이디,
                                         JiraServerEntity jiraServerEntity)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getProjectPureList

          java.util.List<JiraProjectPureEntity> getProjectPureList​(JiraServerEntity jiraServerEntity)
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getIssueTypeOnlyList

          java.util.List<JiraIssueTypeEntity> getIssueTypeOnlyList​(JiraServerEntity jiraServerEntity)
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getServerIssueStatusOnlyList

          java.util.List<JiraIssueStatusEntity> getServerIssueStatusOnlyList​(JiraServerEntity jiraServerEntity)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getServerIssuePriorityOnlyList

          java.util.List<JiraIssuePriorityEntity> getServerIssuePriorityOnlyList​(JiraServerEntity jiraServerEntity)
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getServerIssueResolutionList

          java.util.List<JiraIssueResolutionEntity> getServerIssueResolutionList​(JiraServerEntity jiraServerEntity)
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setDefaultValueForTarget

          JiraServerEntity setDefaultValueForTarget​(EntityType 설정할_항목,
                                                    java.lang.Long 항목_c_id,
                                                    JiraServerEntity jiraServerEntity)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateArmsAndEngineServerData

          int updateArmsAndEngineServerData​(JiraServerEntity jiraServerEntity)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### refreshALMServer

          java.util.concurrent.CompletableFuture<java.lang.Boolean> refreshALMServer​(JiraServerEntity jiraServerEntity)
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getStatusRuleSet

          java.util.Map<java.lang.String,​java.util.Map<java.lang.String,​StatusRuleSetEntity>> getStatusRuleSet​(JiraServerEntity jiraServer)
                                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### preSetIssueStatusMapping

          void preSetIssueStatusMapping​(java.lang.String 프로젝트_C아이디,
                                        JiraServerEntity jiraServer)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### cacheStatusMappingData

          void cacheStatusMappingData​(JiraServerEntity jiraServerEntity)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`